﻿.paragraph {
    padding: 8px 0 0 0;
}

.footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px 20px 10px 20px;
    /*background: #f1f1f1;*/
}

.mud-range-container {
    margin: 5px 0;
}

.label_text {
    font-weight: bold;
}

    .label_text p {
        font-weight: bold;
        font-size: medium;
    }

.label_larger_text {
    font-weight: bold;
    font-size: larger;
}

    .label_larger_text p {
        font-weight: bold;
        font-size: larger;
    }

.label_large_text {
    font-weight: bold;
    font-size: large;
}

    .label_larger_text p {
        font-weight: bold;
        font-size: large;
    }

.label_x-large_text {
    font-weight: bold;
    font-size: x-large;
}

    .label_x-large_text p {
        font-weight: bold;
        font-size: x-large;
    }
.label_xx-large_text {
    font-weight: bold;
    font-size: xx-large;
}

    .label_xx-large_text p {
        font-weight: bold;
        font-size: xx-large;
    }

.label_title {
    font-weight: bold;
    font-size: larger;
}

.value_text {
}

.docs-footer .mud-link {
    margin: 8px 0;
    cursor: pointer;
    transition: color 200ms cubic-bezier(.4, 0, .2, 1) 0ms;
}

.floating-button {
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 1000;
   /* opacity: 0.9;*/
    color: var(--mud-palette-white);
    background: var(--mud-palette-primary);
    border-radius: 50%;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    padding: 2px;
}




.image-container {
    position: relative;
    display: block;
    width: 100%;
}

.nav-title {
    width: auto;
}

    .nav-title .mud-nav-link .mud-nav-link-text {
        text-align: center;
        margin-inline-start: 0;
    }

    .nav-title .mud-nav-link .mud-nav-link-text {
        text-align: center;
        margin-inline-start: 0;
    }

@media (max-width: 960px) {
    .nav-title .mud-nav-link .mud-nav-link-text {
        text-align: start;
        margin-inline-start: 12px;
    }
}



    .nav-button {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        background: rgba(0, 0, 0, 0.3); /* Semi-transparent background */
        color: white;
        opacity: 0; /* Hidden by default */
        transition: opacity 0.3s ease-in-out;
    }
        .nav-button:hover {           
            background: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
        }

    .nav-button.left {
        left: 10px;
    }

    .nav-button.right {
        right: 10px;
    }

/* Show buttons when hovering over the image container */
.image-container:hover .nav-button {
    opacity: 1;
}



.sticky-container {
    position: relative;
    /*background: white;*/ /* Ensures content below doesn't show through */
    z-index: 10;
}

.sticky-card {
    position: sticky;
    top: 0;
    /*background: white;*/ /* Ensures content doesn't overlap */
    z-index: 1000;
}

.itemputter-card {
    flex: 1;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: stretch;
    justify-content: center;
}

    .itemputter-card a {
        display: flex;
        width: 100%;
        height: 100%;
    }

.itemputter-card-image {
    width: auto;
    height: 100%;
    min-width: 110%;
    object-fit: cover;
    object-position: center;
    display: block;
}

.itemputter-card-content {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    background: rgba(0, 0, 0, 0.5); /* Optional semi-transparent background */
    padding: 10px;
    border-radius: 5px;
    color: var(--mud-palette-white);
}


.tiny-mud-checkbox .mud-button-root {
    padding: 0 2px 0 0 !important;
}

.uppercase input.mud-input-slot {
    text-transform: uppercase;
}

.img-container {
    width: 100%;
    overflow: hidden;
    position: relative;
}

    .img-container::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.3);
        z-index: 1; 
    }

    .img-container img {
        position: absolute;
        display: block;
        vertical-align: middle;
        /*transform: translate(-50%, -50%);*/
        width: 100%;
        height: 100%;
        max-width: 100%;
        object-position: center;
        object-fit: cover;
    }


.img-container-text {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    color: white;
    z-index: 10;
}





.list-container {
    display: flex;
    flex-wrap: wrap;
}

.list-item {
    flex: 1 1 100%;
    padding: 4px 0;
    word-break: break-word;
}

@media (min-width: 600px) { /* sm breakpoint in MudBlazor */
    .list-item {
        flex: 1 1 50%;
    }
}




.mud-treeview-item-content {
    padding-left: 0px !important;
}
    .mud-treeview-item-content .mud-treeview-item-arrow {
        margin-left: 0px !important;
    }





.fullscreen-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: black;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;   
    overflow: hidden;
    z-index: 9999;
}

.fullscreen-header {
    width: 100%;
    position: fixed; /* Always at the top */
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    padding-left: 1rem;
    background: rgba(255, 255, 255, 0.1);
    z-index: 30;
}


.fullscreen-image-container {
    /*flex-grow: 1;*/
    width: 100%;
    height: 100%;
    top: 0;
    max-height: calc(100vh - 96px); /* Adjusted height to prevent overflow */
    display: flex;
    /*justify-content: center;
    align-items: center;*/
    position: relative;
    overflow: hidden;
    z-index: 20;
}

    /*.fullscreen-image-container > CarImageSpinner {
        max-width: 100%;
        max-height: 100%;
        object-fit: contain;
    }*/

.fullscreen-nav-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 101; /* Ensure it's above the image */
}

    .fullscreen-nav-button.left {
        left: 5px; /* Align to MudOverlay */
    }

    .fullscreen-nav-button.right {
        right: 5px; /* Align to MudOverlay */
    }

.thumbnail-container {
    position: absolute;
    /*width: 100%;*/
    /*overflow-x: auto;*/
    /*white-space: nowrap;*/
    padding: 0.5rem;
    display: flex;
    height: 80px;
    background: rgba(255, 255, 255, 0.1);
    justify-content: center;
    /*gap: 9rem;*/
}

.thumbnail {
    width: 95px;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
    border-radius: 4px;
}





.car-details-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    justify-items: center;
}

@media (min-width:600px) {
    .car-details-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width:2200px) {
    .car-details-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

.backgound-light {
    background: var(--mud-palette-gray-lighter);
}

.car-expander-title.expanded {
    background: var(--mud-palette-gray-lighter);
}

.car-expander-title {
    margin: 16px 0;
    padding: 0;
    background: var(--mud-palette-background-gray);
}

    .car-expander-title.expanded {
        background: var(--mud-palette-gray-lighter);
       /* border-top: 1px solid red;*/
    }

.car-expander-content {
    padding: 16px 0;
}
    .car-expander-content.expanded {
        border-top: 1px solid var(--mud-palette-table-lines);
    }

/*.car-expander-title {
    margin: 16px 0;
    padding: 8px 0;
    background: var(--mud-palette-background-gray);
}

    .car-expander-title.expanded {
        background: var(--mud-palette-gray-lighter);
    }*/



/*.thumbnail {
    width: 80px;
    margin: 5px;
    cursor: pointer;
    opacity: 0.6;
}

    .thumbnail.active {
        opacity: 1;
        border: 2px solid #007bff;
    }

.gallery-container .thumbnails {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 10px;
}*/


.spotlight-thumbnails {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    overflow-x: auto; /* allow horizontal scroll */
    -webkit-overflow-scrolling: touch; /* smooth scrolling on mobile */
    background: rgba(0, 0, 0, 0.5);
    padding: 0 10px 10px 10px;
   /* z-index: 9999991;*/
}

.spotlight-thumbnail {
    height: 60px;
    margin: 0 5px;
    cursor: pointer;
    flex: 0 0 auto; /* keep thumbnails from shrinking */
    border-radius: 2px;
}

    .spotlight-thumbnail.active {
        border: 2px solid white;
        border-radius: 2px;
    }


#spotlight {
    /*padding-bottom: 80px;*/
   /* z-index: 9999992;*/
}

    #spotlight .spl-footer {
        padding: 6px 20px;
        padding-bottom: 90px;
        margin: 0;
    }

        #spotlight .spl-footer .spl-description {
            margin: 0;
        }

.spl-pane img {
    padding-bottom: 80px !important;
}

@media (min-height:900px) {
    .spl-pane img {
        padding-bottom: 90px !important;
    }
}

.spl-first {
    background-image: url(first.svg);
    background-size: 20px;
}